<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ExoWrapTable: Exo Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="Exo Reference Manual">
<link rel="up" href="exo-widgets.html" title="Part III. Additional widgets">
<link rel="prev" href="ExoTreeView.html" title="ExoTreeView">
<link rel="next" href="exo-cell-renderers.html" title="Part IV. Additional cell renderers">
<meta name="generator" content="GTK-Doc V1.24 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#ExoWrapTable.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#ExoWrapTable.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#ExoWrapTable.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties">  <span class="dim">|</span> 
                  <a href="#ExoWrapTable.properties" class="shortcut">Properties</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="exo-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="ExoTreeView.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="exo-cell-renderers.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="ExoWrapTable"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="ExoWrapTable.top_of_page"></a>ExoWrapTable</span></h2>
<p>ExoWrapTable — A container widget with automatic child layouting</p>
</td>
<td class="gallery_image" valign="top" align="right"><img src="exo-wrap-table.png"></td>
</tr></table></div>
<div class="refsect1">
<a name="ExoWrapTable.functions"></a><h2>Functions</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="http://developer.gnome.org/gtk2/GtkWidget.html"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="ExoWrapTable.html#exo-wrap-table-new" title="exo_wrap_table_new ()">exo_wrap_table_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#guint"><span class="returnvalue">guint</span></a>
</td>
<td class="function_name">
<a class="link" href="ExoWrapTable.html#exo-wrap-table-get-col-spacing" title="exo_wrap_table_get_col_spacing ()">exo_wrap_table_get_col_spacing</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="ExoWrapTable.html#exo-wrap-table-set-col-spacing" title="exo_wrap_table_set_col_spacing ()">exo_wrap_table_set_col_spacing</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#guint"><span class="returnvalue">guint</span></a>
</td>
<td class="function_name">
<a class="link" href="ExoWrapTable.html#exo-wrap-table-get-row-spacing" title="exo_wrap_table_get_row_spacing ()">exo_wrap_table_get_row_spacing</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="ExoWrapTable.html#exo-wrap-table-set-row-spacing" title="exo_wrap_table_set_row_spacing ()">exo_wrap_table_set_row_spacing</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="ExoWrapTable.html#exo-wrap-table-get-homogeneous" title="exo_wrap_table_get_homogeneous ()">exo_wrap_table_get_homogeneous</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="ExoWrapTable.html#exo-wrap-table-set-homogeneous" title="exo_wrap_table_set_homogeneous ()">exo_wrap_table_set_homogeneous</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="ExoWrapTable.properties"></a><h2>Properties</h2>
<div class="informaltable"><table border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type"><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="ExoWrapTable.html#ExoWrapTable--col-spacing" title="The “col-spacing” property">col-spacing</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="ExoWrapTable.html#ExoWrapTable--homogeneous" title="The “homogeneous” property">homogeneous</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="ExoWrapTable.html#ExoWrapTable--row-spacing" title="The “row-spacing” property">row-spacing</a></td>
<td class="property_flags">Read / Write</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="ExoWrapTable.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword">struct</td>
<td class="function_name"><a class="link" href="ExoWrapTable.html#ExoWrapTable-struct" title="struct ExoWrapTable">ExoWrapTable</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="ExoWrapTable.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="https://developer.gnome.org/gobject/unstable/gobject-The-Base-Object-Type.html#GObject">GObject</a>
    <span class="lineart">╰──</span> <a href="https://developer.gnome.org/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> GtkObject
            <span class="lineart">╰──</span> <a href="http://developer.gnome.org/gtk2/GtkWidget.html">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="http://developer.gnome.org/gtk2/GtkContainer.html">GtkContainer</a>
                    <span class="lineart">╰──</span> ExoWrapTable
</pre>
</div>
<div class="refsect1">
<a name="ExoWrapTable.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
ExoWrapTable implements
 <a href="/usr/share/gtk-doc/html/atk/AtkObject.html#AtkImplementorIface">AtkImplementorIface</a> and  <a href="http://developer.gnome.org/gtk2/GtkBuildable.html">GtkBuildable</a>.</p>
</div>
<div class="refsect1">
<a name="ExoWrapTable.includes"></a><h2>Includes</h2>
<pre class="synopsis">#include &lt;exo/exo.h&gt;
</pre>
</div>
<div class="refsect1">
<a name="ExoWrapTable.description"></a><h2>Description</h2>
<p>The <a class="link" href="ExoWrapTable.html" title="ExoWrapTable"><span class="type">ExoWrapTable</span></a> class layouts its children automatically
according to the available width allocated to the container
class.</p>
</div>
<div class="refsect1">
<a name="ExoWrapTable.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="exo-wrap-table-new"></a><h3>exo_wrap_table_new ()</h3>
<pre class="programlisting"><a href="http://developer.gnome.org/gtk2/GtkWidget.html"><span class="returnvalue">GtkWidget</span></a> *
exo_wrap_table_new (<em class="parameter"><code><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> homogeneous</code></em>);</pre>
<p>Allocates a new <a class="link" href="ExoWrapTable.html" title="ExoWrapTable"><span class="type">ExoWrapTable</span></a>.</p>
<div class="refsect3">
<a name="id-1.4.8.10.2.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>homogeneous</p></td>
<td class="parameter_description"><p><a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if all children are to be given equal space allotments.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="id-1.4.8.10.2.6"></a><h4>Returns</h4>
<p> the newly allocated <a class="link" href="ExoWrapTable.html" title="ExoWrapTable"><span class="type">ExoWrapTable</span></a>.</p>
</div>
<p class="since">Since: 0.3.1</p>
</div>
<hr>
<div class="refsect2">
<a name="exo-wrap-table-get-col-spacing"></a><h3>exo_wrap_table_get_col_spacing ()</h3>
<pre class="programlisting"><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#guint"><span class="returnvalue">guint</span></a>
exo_wrap_table_get_col_spacing (<em class="parameter"><code>const <a class="link" href="ExoWrapTable.html" title="ExoWrapTable"><span class="type">ExoWrapTable</span></a> *table</code></em>);</pre>
<p>Returns the amount of space between consecutive
columns in <em class="parameter"><code>table</code></em>
.</p>
<div class="refsect3">
<a name="id-1.4.8.10.3.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>table</p></td>
<td class="parameter_description"><p>an <a class="link" href="ExoWrapTable.html" title="ExoWrapTable"><span class="type">ExoWrapTable</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="id-1.4.8.10.3.6"></a><h4>Returns</h4>
<p> the amount of space between consecutive columns.</p>
</div>
<p class="since">Since: 0.3.1</p>
</div>
<hr>
<div class="refsect2">
<a name="exo-wrap-table-set-col-spacing"></a><h3>exo_wrap_table_set_col_spacing ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
exo_wrap_table_set_col_spacing (<em class="parameter"><code><a class="link" href="ExoWrapTable.html" title="ExoWrapTable"><span class="type">ExoWrapTable</span></a> *table</code></em>,
                                <em class="parameter"><code><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a> col_spacing</code></em>);</pre>
<p>Sets the amount of space between consecutive
columns in <em class="parameter"><code>table</code></em>
 to <em class="parameter"><code>col_spacing</code></em>
.</p>
<div class="refsect3">
<a name="id-1.4.8.10.4.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>table</p></td>
<td class="parameter_description"><p>an <a class="link" href="ExoWrapTable.html" title="ExoWrapTable"><span class="type">ExoWrapTable</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>col_spacing</p></td>
<td class="parameter_description"><p>the new column spacing.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: 0.3.1</p>
</div>
<hr>
<div class="refsect2">
<a name="exo-wrap-table-get-row-spacing"></a><h3>exo_wrap_table_get_row_spacing ()</h3>
<pre class="programlisting"><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#guint"><span class="returnvalue">guint</span></a>
exo_wrap_table_get_row_spacing (<em class="parameter"><code>const <a class="link" href="ExoWrapTable.html" title="ExoWrapTable"><span class="type">ExoWrapTable</span></a> *table</code></em>);</pre>
<p>Returns the amount of space between consecutive
rows in <em class="parameter"><code>table</code></em>
.</p>
<div class="refsect3">
<a name="id-1.4.8.10.5.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>table</p></td>
<td class="parameter_description"><p>an <a class="link" href="ExoWrapTable.html" title="ExoWrapTable"><span class="type">ExoWrapTable</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="id-1.4.8.10.5.6"></a><h4>Returns</h4>
<p> the amount of space between consecutive rows in <em class="parameter"><code>table</code></em>
.</p>
</div>
<p class="since">Since: 0.3.1</p>
</div>
<hr>
<div class="refsect2">
<a name="exo-wrap-table-set-row-spacing"></a><h3>exo_wrap_table_set_row_spacing ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
exo_wrap_table_set_row_spacing (<em class="parameter"><code><a class="link" href="ExoWrapTable.html" title="ExoWrapTable"><span class="type">ExoWrapTable</span></a> *table</code></em>,
                                <em class="parameter"><code><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a> row_spacing</code></em>);</pre>
<p>Sets the amount of spacing between consecutive
rows in <em class="parameter"><code>table</code></em>
 to <em class="parameter"><code>row_spacing</code></em>
.</p>
<div class="refsect3">
<a name="id-1.4.8.10.6.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>table</p></td>
<td class="parameter_description"><p>an <a class="link" href="ExoWrapTable.html" title="ExoWrapTable"><span class="type">ExoWrapTable</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>row_spacing</p></td>
<td class="parameter_description"><p>the new row spacing.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: 0.3.1</p>
</div>
<hr>
<div class="refsect2">
<a name="exo-wrap-table-get-homogeneous"></a><h3>exo_wrap_table_get_homogeneous ()</h3>
<pre class="programlisting"><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
exo_wrap_table_get_homogeneous (<em class="parameter"><code>const <a class="link" href="ExoWrapTable.html" title="ExoWrapTable"><span class="type">ExoWrapTable</span></a> *table</code></em>);</pre>
<p>Returns whether the table cells are all constrained
to the same width and height.</p>
<div class="refsect3">
<a name="id-1.4.8.10.7.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>table</p></td>
<td class="parameter_description"><p>an <a class="link" href="ExoWrapTable.html" title="ExoWrapTable"><span class="type">ExoWrapTable</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="id-1.4.8.10.7.6"></a><h4>Returns</h4>
<p> <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the cells are all constrained to the same size.</p>
</div>
<p class="since">Since: 0.3.1</p>
</div>
<hr>
<div class="refsect2">
<a name="exo-wrap-table-set-homogeneous"></a><h3>exo_wrap_table_set_homogeneous ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
exo_wrap_table_set_homogeneous (<em class="parameter"><code><a class="link" href="ExoWrapTable.html" title="ExoWrapTable"><span class="type">ExoWrapTable</span></a> *table</code></em>,
                                <em class="parameter"><code><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> homogeneous</code></em>);</pre>
<p>Changes the homogenous property of <em class="parameter"><code>table</code></em>
 cells, ie. whether all cells
are an equal size or not.</p>
<div class="refsect3">
<a name="id-1.4.8.10.8.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>table</p></td>
<td class="parameter_description"><p>an <a class="link" href="ExoWrapTable.html" title="ExoWrapTable"><span class="type">ExoWrapTable</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>homogeneous</p></td>
<td class="parameter_description"><p>Set to <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> to ensure all <em class="parameter"><code>table</code></em>
cells are the same size.
Set to <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a> if this is not your desired behaviour.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: 0.3.1</p>
</div>
</div>
<div class="refsect1">
<a name="ExoWrapTable.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="ExoWrapTable-struct"></a><h3>struct ExoWrapTable</h3>
<pre class="programlisting">struct ExoWrapTable;</pre>
<p>The <a class="link" href="ExoWrapTable.html" title="ExoWrapTable"><span class="type">ExoWrapTable</span></a> struct contains only private fields
and should not be directly accessed.</p>
</div>
</div>
<div class="refsect1">
<a name="ExoWrapTable.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="ExoWrapTable--col-spacing"></a><h3>The <code class="literal">“col-spacing”</code> property</h3>
<pre class="programlisting">  “col-spacing”              <a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>The amount of space between two consecutive columns.</p>
<p>Flags: Read / Write</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="ExoWrapTable--homogeneous"></a><h3>The <code class="literal">“homogeneous”</code> property</h3>
<pre class="programlisting">  “homogeneous”              <a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>Whether the children should be all the same size.</p>
<p>Flags: Read / Write</p>
<p>Default value: FALSE</p>
</div>
<hr>
<div class="refsect2">
<a name="ExoWrapTable--row-spacing"></a><h3>The <code class="literal">“row-spacing”</code> property</h3>
<pre class="programlisting">  “row-spacing”              <a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>The amount of space between two consecutive rows.</p>
<p>Flags: Read / Write</p>
<p>Default value: 0</p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.24</div>
</body>
</html>